package com.mycompany.sy.work.item.handler;

import java.util.HashMap;
import java.util.Map;

import org.drools.core.process.instance.WorkItemHandler;
import org.kie.api.runtime.process.WorkItem;
import org.kie.api.runtime.process.WorkItemManager;
import org.switchyard.quickstarts.bpm.service.data.OrderAck;

public class PrintTextWorkItemHandler implements WorkItemHandler {

	@Override
	public void abortWorkItem(WorkItem workItem, WorkItemManager workItemManager) {
		System.out.println("Aborting work item!");
	}

	@Override
	public void executeWorkItem(WorkItem workItem,
			WorkItemManager workItemManager) {
		String text = workItem.getParameter("text").toString();
		// System.out.println("text=" + text);
		Map<String, Object> resultMap = new HashMap<String, Object>();
		OrderAck orderAck = new OrderAck();
		orderAck.setAccepted(false);
		orderAck.setStatus(text);
		orderAck.setOrderId("1111");
		resultMap.put("result", orderAck);
		workItemManager.completeWorkItem(workItem.getId(), resultMap);
	}

}
